public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "William Hubbs" <williamh@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/promu/
Date: Sun, 14 Jun 2020 20:46:47 +0000 (UTC)	[thread overview]
Message-ID: <1592167551.af5a7a5c8a07c60332bb41d5775c4ddf71c54f9e.williamh@gentoo> (raw)

commit:     af5a7a5c8a07c60332bb41d5775c4ddf71c54f9e
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 14 20:06:25 2020 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Sun Jun 14 20:45:51 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af5a7a5c

dev-util/promu: update to use the go-module eclass

This is a build time change, so it will not affect a live system.
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 dev-util/promu/promu-0.5.0.ebuild | 23 ++++++++++-------------
 1 file changed, 10 insertions(+), 13 deletions(-)

diff --git a/dev-util/promu/promu-0.5.0.ebuild b/dev-util/promu/promu-0.5.0.ebuild
index 7ede34ae7c3..64f6ce821f0 100644
--- a/dev-util/promu/promu-0.5.0.ebuild
+++ b/dev-util/promu/promu-0.5.0.ebuild
@@ -1,35 +1,32 @@
 # Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-inherit golang-build golang-vcs-snapshot
+EAPI=7
+inherit go-module
 
-EGO_PN="github.com/prometheus/promu"
 EGIT_COMMIT="642a960b363a409efff7621dbf5b183d58670ec2"
-SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-KEYWORDS="amd64"
 
 DESCRIPTION="Prometheus Utility Tool"
 HOMEPAGE="https://github.com/prometheus/promu"
+SRC_URI="https://github.com/prometheus/promu/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
 LICENSE="Apache-2.0 BSD BSD-2 MIT"
 SLOT="0"
+KEYWORDS="amd64"
 IUSE=""
-RESTRICT="test"
 
-DEPEND=">=dev-lang/go-1.12"
+RESTRICT+=" test"
 
 src_prepare() {
 	default
-	sed -i -e "s/{{.Revision}}/${EGIT_COMMIT}/" src/${EGO_PN}/.promu.yml || die
+	sed -i -e "s/{{.Revision}}/${EGIT_COMMIT}/" .promu.yml || die
 }
 
 src_compile() {
-	pushd src/${EGO_PN} || die
-	GO111MODULE=off GOCACHE="${T}/go-cache" GOPATH="${S}" go install -v github.com/prometheus/promu || die
-	popd || die
+	go build -mod=vendor . || die "compile failed"
 }
 
 src_install() {
-	dobin bin/*
-	dodoc -r src/${EGO_PN}/{doc,{README,CONTRIBUTING}.md}
+	dobin ${PN}
+	dodoc -r {doc,{README,CONTRIBUTING}.md}
 }


             reply	other threads:[~2020-06-14 20:46 UTC|newest]

Thread overview: 47+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-14 20:46 William Hubbs [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-19 13:11 [gentoo-commits] repo/gentoo:master commit in: dev-util/promu/ Arthur Zamarin
2025-01-19 13:11 Arthur Zamarin
2024-10-24 19:28 Zac Medico
2024-06-15 19:21 Arthur Zamarin
2024-02-23 12:54 Joonas Niilola
2024-01-07  6:14 Sam James
2023-11-25  0:59 Zac Medico
2023-11-17 12:13 Sam James
2023-10-02  3:36 Zac Medico
2023-04-30 23:53 Sam James
2023-01-06  7:16 WANG Xuerui
2023-01-06  7:16 WANG Xuerui
2022-06-29  7:21 WANG Xuerui
2022-05-15 23:14 Zac Medico
2022-05-15 23:14 Zac Medico
2022-03-14 15:15 William Hubbs
2021-11-07  3:04 Zac Medico
2021-03-26  2:20 Zac Medico
2021-03-26  2:19 Zac Medico
2021-01-11 23:05 William Hubbs
2020-11-13  8:15 Robin H. Johnson
2020-10-24 22:45 Zac Medico
2020-07-25  0:09 Sam James
2019-12-10  7:27 Zac Medico
2019-12-10  7:18 Zac Medico
2019-12-10  7:14 Zac Medico
2019-11-23 10:58 Manuel Rüger
2019-10-07  9:45 Manuel Rüger
2019-10-07  9:45 Manuel Rüger
2019-07-09 12:52 Manuel Rüger
2019-06-26  8:03 Manuel Rüger
2019-06-25 15:58 Manuel Rüger
2019-04-16  9:15 Manuel Rüger
2019-03-02 17:39 Manuel Rüger
2019-03-02 17:32 Manuel Rüger
2019-03-02 17:32 Manuel Rüger
2019-01-15 14:44 Manuel Rüger
2018-03-08 18:45 Manuel Rüger
2018-01-25 18:51 Manuel Rüger
2017-10-04  9:09 Michał Górny
2017-09-24 18:54 Manuel Rüger
2017-09-24 18:54 Manuel Rüger
2017-06-12 11:26 Manuel Rüger
2017-06-12 11:25 Manuel Rüger
2017-02-07 16:03 Manuel Rüger
2016-12-13 19:27 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1592167551.af5a7a5c8a07c60332bb41d5775c4ddf71c54f9e.williamh@gentoo \
    --to=williamh@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox